All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver.tree
Class _rprxRemoteLevelTreeV3Client

    com.sas.sasserver.tree._rprxRemoteLevelTreeV3Client

All Implemented Interfaces:
  com.sas.beans.IntrospectInterfaceForBeanInfo, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.collection.ContentsChangedSource, com.sas.ComponentInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, com.sas.models.TreeInterface, com.sas.rmi.ConnectionLoginInterface, com.sas.rmi.DelegationModelInterface, com.sas.rmi.DesignTimeInf, com.sas.rmi.RocfRemoteObject, RemoteSASListInterface, LevelDataInterface, LevelTreeInterface, LevelTreeV2Interface, LevelTreeV3Interface, RemoteLevelTreeInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

    public class _rprxRemoteLevelTreeV3Client

implements LevelTreeV3Interface, LevelTreeV2Interface, com.sas.rmi.DelegationModelInterface

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sas.sasserver.tree.LevelTreeV3Interface
`contextClasspath`

Constructor Summary
`_rprxRemoteLevelTreeV3Client()`

Method Summary
`java.lang.String` | `_getDataSet()` This method is for internal implementation only and should not be called by the user.
`java.lang.String` | `_getDefaultIcon()` This method is for internal implementation only and should not be called by the user.
`java.lang.String` | `_getDefaultIconColumn()` This method is for internal implementation only and should not be called by the user.
`java.lang.Class` | `_getDelegateClass()` Return the class of the delegate or null if none
`java.lang.String` | `_getExpandedIcon()` This method is for internal implementation only and should not be called by the user.
`java.lang.String` | `_getExpandedIconColumn()` This method is for internal implementation only and should not be called by the user.
`java.lang.String` | `_getIndexColumn()` This method is for internal implementation only and should not be called by the user.
`java.lang.String` | `_getLevelColumn()` This method is for internal implementation only and should not be called by the user.
`java.lang.String` | `_getLink()` This method is for internal implementation only and should not be called by the user.
`java.lang.String` | `_getLinkColumn()` This method is for internal implementation only and should not be called by the user.
`com.sas.collection.hlist.HListInterface` | `_getMembers()` Returns the list of members in the remote SCL object.
`java.lang.String[]` | `_getNameValuePairColumns()` This method is for internal implementation only and should not be called by the user.
`java.lang.String` | `_getTextColumn()` This method is for internal implementation only and should not be called by the user.
`com.sas.collection.hlist.HListInterface` | `_getTreeNodes()` This method is for internal implementation only and should not be called by the user.
`com.sas.collection.hlist.HListInterface` | `_getWhere()` This method is for internal implementation only and should not be called by the user.
`boolean` | `_isValid()` This method is for internal implementation only and should not be called by the user.
`void` | `_RemoteConstructor()`
`void` | `_RemoteObject_getInstance()` Gets an existing instance of the object
`void` | `_RemoteObject_newInstance()` Creates a new instance of the object
`int` | `_RemoteObject_version()`
`void` | `_setDataSet(java.lang.String p1)` This method is for internal implementation only and should not be called by the user.
`void` | `_setDefaultIcon(java.lang.String p1)` This method is for internal implementation only and should not be called by the user.
`void` | `_setDefaultIconColumn(java.lang.String p1)` This method is for internal implementation only and should not be called by the user.
`void` | `_setExpandedIcon(java.lang.String p1)` This method is for internal implementation only and should not be called by the user.
`void` | `_setExpandedIconColumn(java.lang.String p1)` This method is for internal implementation only and should not be called by the user.
`void` | `_setIndexColumn(java.lang.String p1)` This method is for internal implementation only and should not be called by the user.
`void` | `_setLevelColumn(java.lang.String p1)` This method is for internal implementation only and should not be called by the user.
`void` | `_setLink(java.lang.String p1)` This method is for internal implementation only and should not be called by the user.
`void` | `_setLinkColumn(java.lang.String p1)` This method is for internal implementation only and should not be called by the user.
`void` | `_setNameValuePairColumns(java.lang.String[] p1)` This method is for internal implementation only and should not be called by the user.
`void` | `_setRemoteHandle(java.lang.Object o)`
`void` | `_setTextColumn(java.lang.String p1)` This method is for internal implementation only and should not be called by the user.
`void` | `_setWhere(com.sas.collection.hlist.HListInterface p1)` This method is for internal implementation only and should not be called by the user.
`java.lang.String` | `_validate()` This method is for internal implementation only and should not be called by the user.
`void` | `addContentsChangedListener(com.sas.collection.ContentsChangedListener p1)`
`void` | `close()` Closes the data set if it is open and set the data set to blank
`java.lang.String` | `getAcessKeyColumnName()` getAccessKeyColumnName
`java.lang.String` | `getDataSet()` Returns the name of the level SAS data set.
`java.lang.String` | `getDefaultImage()` Returns name Image image to be displayed for all unexpanded nodes.
`java.lang.String` | `getDefaultImageAltTextColumnName()` getDefaultImageAltTextColumnName
`java.lang.String` | `getDefaultImageColumnName()` Returns name of the column in the level data set that contains the name of the image to be displayed for unexpanded nodes.
`java.lang.String` | `getExpandedImage()` Returns name of the image to be displayed for expanded nodes.
`java.lang.String` | `getExpandedImageAltTextColumnName()` getExpandedImageAltTextColumnName
`java.lang.String` | `getExpandedImageColumnName()` Returns name of the column in the level data set that contains the name of the image to be displayed for expanded nodes.
`java.lang.String` | `getIndexColumnName()` Returns the name of the column in the level data set that contains the index values
`java.lang.String` | `getKey()`
`java.lang.String` | `getKeyColumnName()`
`java.lang.String` | `getLevelColumnName()` Returns the name of the column in the level data set that contains the level values.
`java.lang.String[]` | `getNameValuePairColumns()` Returns the names of the columns in the level data set that contain values to be used as name value pairs when creating the complete link that is associated with the node in the JavaScript tree.
`com.sas.models.NodeInterface` | `getRoot()` Returns a NodeInterface object to serve as the root node.
`java.lang.String` | `getTabIndexColumnName()` getTabIndexColumnName
`java.lang.String` | `getTextColumnName()` Returns the name of the column in the level data set that contains the descriptive text to be displayed on the node in the JavaScript tree.
`java.lang.String` | `getTitleColumnName()` getTitleColumnName
`java.lang.String` | `getURL()` Returns the link associated with all nodes in the tree.
`java.lang.String` | `getURLColumnName()` Returns the name of the column in the level data set that contains the link to be associated with the node in the JavaScript tree.
`java.lang.String` | `getWhere()` Returns the current where clause applied to the SAS data set.
`void` | `newRemoteObject()`
`void` | `removeContentsChangedListener(com.sas.collection.ContentsChangedListener p1)`
`void` | `setAccessKeyColumnName(java.lang.String p1)` setAccessKeyColumnName
`void` | `setDataSet(java.lang.String p1)` Sets the name of the level SAS data set.
`void` | `setDefaultImage(java.lang.String p1)` Sets the name of the image to be displayed for all unexpanded nodes.
`void` | `setDefaultImageAltTextCoulmnName(java.lang.String p1)` setDefaultImageAltTextColumnName
`void` | `setDefaultImageColumnName(java.lang.String p1)` Sets the name of the column in the level data set that contains the name of the image to be displayed for unexpanded nodes.
`void` | `setExpandedImage(java.lang.String p1)` Sets the name of the image to be displayed expanded nodes.
`void` | `setExpandedImageAltTextColumnName(java.lang.String p1)` setExpandedImageAltTextColumName
`void` | `setExpandedImageColumnName(java.lang.String p1)` Sets the name of the column in the level data set that contains the name of the image to be displayed expanded nodes.
`void` | `setIndexColumnName(java.lang.String p1)` Sets the name of the column in the level data set that contains the index values
`void` | `setKey(java.lang.String p1)`
`void` | `setKeyColumnName(java.lang.String p1)`
`void` | `setLevelColumnName(java.lang.String p1)` Sets the name of the column in the level data set that contains the level values.
`void` | `setNameValuePairColumns(java.lang.String[] p1)` Sets the names of the columns in the level data set that contain values to be used as name value pairs when creating the complete link that is associated with the node in the JavaScript tree.
`void` | `setTabIndexColumnName(java.lang.String p1)` setTabIndexColumnName
`void` | `setTextColumnName(java.lang.String p1)` Sets the name of the column in the level data set that contains the descriptive text to be displayed on the node in the JavaScript tree.
`void` | `setTitleColumnName(java.lang.String p1)` setTitleColumnName
`void` | `setURL(java.lang.String p1)` Sets the link associated with all nodes in the tree.
`void` | `setURLColumnName(java.lang.String p1)` Sets the name of the column in the level data set that contains the link to be associated with the node in the JavaScript tree.
`void` | `setWhere(java.lang.String p1)` Sets a where clause on the current SAS Data set.
`void` | `stop()`
`void` | `validate()` Validates the model to make sure all required, properties are set as well as ckecks the validity of current properties.

Constructor Detail

### _rprxRemoteLevelTreeV3Client

    public _rprxRemoteLevelTreeV3Client()

Method Detail

### stop

    public void stop()

  Overrides:
    `stop` in class `com.sas.rmi.RMIBaseClient`

### _setRemoteHandle

    public void _setRemoteHandle(java.lang.Object o)

### _RemoteObject_getInstance

    public void _RemoteObject_getInstance()
                                   throws java.lang.Exception

  Description copied from class: `RMIBaseClient`
  Gets an existing instance of the object

  Overrides:
    `_RemoteObject_getInstance` in class `com.sas.rmi.RMIBaseClient`
  Throws:
    `java.lang.Exception` - If some type of exception occurs

### _RemoteObject_newInstance

    public void _RemoteObject_newInstance()
                                   throws java.lang.Exception

  Description copied from class: `RMIBaseClient`
  Creates a new instance of the object

  Overrides:
    `_RemoteObject_newInstance` in class `com.sas.rmi.RMIBaseClient`
  Throws:
    `java.lang.Exception` - If some type of exception occurs

### _RemoteObject_version

    public int _RemoteObject_version()

  Specified by:
    `_RemoteObject_version` in interface `com.sas.rmi.RocfRemoteObject`
  Specified by:
    `_RemoteObject_version` in class `com.sas.rmi.RemoteBaseClient`

### _getDelegateClass

    public java.lang.Class _getDelegateClass()

  Description copied from interface: `DelegationModelInterface`
  Return the class of the delegate or null if none

  Specified by:
    `_getDelegateClass` in interface `com.sas.rmi.DelegationModelInterface`
  Overrides:
    `_getDelegateClass` in class `com.sas.rmi.RemoteBaseClient`

### _RemoteConstructor

    public void _RemoteConstructor()
                            throws java.lang.Exception,
                                   java.rmi.RemoteException

  Throws:
    `java.lang.Exception`
    `java.rmi.RemoteException`

### newRemoteObject

    public void newRemoteObject()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setAccessKeyColumnName

    public void setAccessKeyColumnName(java.lang.String p1)

  Description copied from interface: `LevelTreeV3Interface`
  setAccessKeyColumnName

  Specified by:
    `setAccessKeyColumnName` in interface `LevelTreeV3Interface`

### getAcessKeyColumnName

    public java.lang.String getAcessKeyColumnName()

  Description copied from interface: `LevelTreeV3Interface`
  getAccessKeyColumnName

  Specified by:
    `getAcessKeyColumnName` in interface `LevelTreeV3Interface`

### setTabIndexColumnName

    public void setTabIndexColumnName(java.lang.String p1)

  Description copied from interface: `LevelTreeV3Interface`
  setTabIndexColumnName

  Specified by:
    `setTabIndexColumnName` in interface `LevelTreeV3Interface`

### getTabIndexColumnName

    public java.lang.String getTabIndexColumnName()

  Description copied from interface: `LevelTreeV3Interface`
  getTabIndexColumnName

  Specified by:
    `getTabIndexColumnName` in interface `LevelTreeV3Interface`

### setDefaultImageAltTextCoulmnName

    public void setDefaultImageAltTextCoulmnName(java.lang.String p1)

  Description copied from interface: `LevelTreeV3Interface`
  setDefaultImageAltTextColumnName

  Specified by:
    `setDefaultImageAltTextCoulmnName` in interface `LevelTreeV3Interface`

### getDefaultImageAltTextColumnName

    public java.lang.String getDefaultImageAltTextColumnName()

  Description copied from interface: `LevelTreeV3Interface`
  getDefaultImageAltTextColumnName

  Specified by:
    `getDefaultImageAltTextColumnName` in interface `LevelTreeV3Interface`

### setExpandedImageAltTextColumnName

    public void setExpandedImageAltTextColumnName(java.lang.String p1)

  Description copied from interface: `LevelTreeV3Interface`
  setExpandedImageAltTextColumName

  Specified by:
    `setExpandedImageAltTextColumnName` in interface `LevelTreeV3Interface`

### getExpandedImageAltTextColumnName

    public java.lang.String getExpandedImageAltTextColumnName()

  Description copied from interface: `LevelTreeV3Interface`
  getExpandedImageAltTextColumnName

  Specified by:
    `getExpandedImageAltTextColumnName` in interface `LevelTreeV3Interface`

### setTitleColumnName

    public void setTitleColumnName(java.lang.String p1)

  Description copied from interface: `LevelTreeV3Interface`
  setTitleColumnName

  Specified by:
    `setTitleColumnName` in interface `LevelTreeV3Interface`

### getTitleColumnName

    public java.lang.String getTitleColumnName()

  Description copied from interface: `LevelTreeV3Interface`
  getTitleColumnName

  Specified by:
    `getTitleColumnName` in interface `LevelTreeV3Interface`

### getKey

    public java.lang.String getKey()

  Specified by:
    `getKey` in interface `LevelTreeV2Interface`

### setKey

    public void setKey(java.lang.String p1)

  Specified by:
    `setKey` in interface `LevelTreeV2Interface`

### getKeyColumnName

    public java.lang.String getKeyColumnName()

  Specified by:
    `getKeyColumnName` in interface `LevelTreeV2Interface`

### setKeyColumnName

    public void setKeyColumnName(java.lang.String p1)

  Specified by:
    `setKeyColumnName` in interface `LevelTreeV2Interface`

### getURL

    public java.lang.String getURL()

  Description copied from interface: `LevelTreeInterface`
  Returns the link associated with all nodes in the tree. This is useful in cases where the link is the same for all nodes, but the values of the name value pairs are different.

  Specified by:
    `getURL` in interface `LevelTreeInterface`
  Returns:
    the value of the link

### close

    public void close()

  Description copied from interface: `LevelTreeInterface`
  Closes the data set if it is open and set the data set to blank

  Specified by:
    `close` in interface `LevelTreeInterface`
  Specified by:
    `close` in interface `RemoteLevelTreeInterface`
  See Also:
    `LevelTreeInterface.close()`

### setURL

    public void setURL(java.lang.String p1)

  Description copied from interface: `LevelTreeInterface`
  Sets the link associated with all nodes in the tree. This is useful in cases where the link is the same for all nodes, but the values of the name value pairs are different.

  Specified by:
    `setURL` in interface `LevelTreeInterface`
  Parameters:
    `p1` - - the value of the link

### validate

    public void validate()
                  throws com.sas.table.TableException

  Description copied from interface: `LevelTreeInterface`
  Validates the model to make sure all required, properties are set as well as ckecks the validity of current properties. This method is called internally by the model before the getTreeNodes() executes. If the model is invalid a TableException is thrown, you can examine the error message, by calling the TableException.getMessage() method.

  Specified by:
    `validate` in interface `LevelTreeInterface`
  Throws:
    `com.sas.table.TableException`

### getDataSet

    public java.lang.String getDataSet()

  Description copied from interface: `LevelTreeInterface`
  Returns the name of the level SAS data set.

  Specified by:
    `getDataSet` in interface `LevelTreeInterface`
  Returns:
    SAS data set name
  See Also:
    `LevelTreeInterface.setDataSet(java.lang.String)`

### setDataSet

    public void setDataSet(java.lang.String p1)

  Description copied from interface: `LevelTreeInterface`
  Sets the name of the level SAS data set. Setting the data set name to blank or changing from an existing data set to a different data set will clear the current where clause. Setting the data set name to blank will close the currently open data set, if one is open.

  Specified by:
    `setDataSet` in interface `LevelTreeInterface`
  Parameters:
    `p1` - - SAS data set name

### getWhere

    public java.lang.String getWhere()

  Description copied from interface: `LevelTreeInterface`
  Returns the current where clause applied to the SAS data set. Setting the data set name to blank or changing from an existing data set to a different data set will clear the current where clause.

  Specified by:
    `getWhere` in interface `LevelTreeInterface`
  Returns:
    current where clause

### setWhere

    public void setWhere(java.lang.String p1)

  Description copied from interface: `LevelTreeInterface`
  Sets a where clause on the current SAS Data set. Due to the implentation of the Server Side model the where clause string can not exceed 800 bytes. Setting the data set name to blank or changing from an existing data set to a different data set will clear the current where clause.

  Specified by:
    `setWhere` in interface `LevelTreeInterface`
  Parameters:
    `p1` - - where clause to be applied

### getDefaultImageColumnName

    public java.lang.String getDefaultImageColumnName()

  Description copied from interface: `LevelTreeInterface`
  Returns name of the column in the level data set that contains the name of the image to be displayed for unexpanded nodes. If no image is defined for expanded nodes this image will be used for expanded nodes also. The image name must be an absolute or relative URL.

  Specified by:
    `getDefaultImageColumnName` in interface `LevelTreeInterface`
  Returns:
    name of column that contains image URL for the defaultImage.

### setDefaultImageColumnName

    public void setDefaultImageColumnName(java.lang.String p1)

  Description copied from interface: `LevelTreeInterface`
  Sets the name of the column in the level data set that contains the name of the image to be displayed for unexpanded nodes. If no image is defined for expanded nodes this image will be used for expanded nodes also. The image name must be an absolute or relative URL.

  Specified by:
    `setDefaultImageColumnName` in interface `LevelTreeInterface`
  Parameters:
    `p1` - - name of column that contains image URL for defaultImage.

### getDefaultImage

    public java.lang.String getDefaultImage()

  Description copied from interface: `LevelTreeInterface`
  Returns name Image image to be displayed for all unexpanded nodes. If no image is defined for expanded nodes this image will be used for all expanded nodes also. The image name must be an absolute or relative URL.

  Specified by:
    `getDefaultImage` in interface `LevelTreeInterface`
  Returns:
    image URL for the defaultImage.

### setDefaultImage

    public void setDefaultImage(java.lang.String p1)

  Description copied from interface: `LevelTreeInterface`
  Sets the name of the image to be displayed for all unexpanded nodes. If no image is defined for expanded nodes this image will be used for all expanded nodes also. The image name must be an absolute or relative URL.

  Specified by:
    `setDefaultImage` in interface `LevelTreeInterface`
  Parameters:
    `p1` - - URL for defaultImage.

### getExpandedImageColumnName

    public java.lang.String getExpandedImageColumnName()

  Description copied from interface: `LevelTreeInterface`
  Returns name of the column in the level data set that contains the name of the image to be displayed for expanded nodes. The image name must be an absolute or relative URL.

  Specified by:
    `getExpandedImageColumnName` in interface `LevelTreeInterface`
  Returns:
    name of column that contains image URL for the expandedImage.

### setExpandedImageColumnName

    public void setExpandedImageColumnName(java.lang.String p1)

  Description copied from interface: `LevelTreeInterface`
  Sets the name of the column in the level data set that contains the name of the image to be displayed expanded nodes. The image name must be an absolute or relative URL.

  Specified by:
    `setExpandedImageColumnName` in interface `LevelTreeInterface`
  Parameters:
    `p1` - - name of column that contains image URL for the expandedImage.

### getExpandedImage

    public java.lang.String getExpandedImage()

  Description copied from interface: `LevelTreeInterface`
  Returns name of the image to be displayed for expanded nodes. The image name must be an absolute or relative URL.

  Specified by:
    `getExpandedImage` in interface `LevelTreeInterface`
  Returns:
    URL for the expandedImage.

### setExpandedImage

    public void setExpandedImage(java.lang.String p1)

  Description copied from interface: `LevelTreeInterface`
  Sets the name of the image to be displayed expanded nodes. The image name must be an absolute or relative URL.

  Specified by:
    `setExpandedImage` in interface `LevelTreeInterface`
  Parameters:
    `p1` - - image URL for the expandedImage.

### getURLColumnName

    public java.lang.String getURLColumnName()

  Description copied from interface: `LevelTreeInterface`
  Returns the name of the column in the level data set that contains the link to be associated with the node in the JavaScript tree.

  Specified by:
    `getURLColumnName` in interface `LevelTreeInterface`
  Returns:
    name of column that contains the link values

### setURLColumnName

    public void setURLColumnName(java.lang.String p1)

  Description copied from interface: `LevelTreeInterface`
  Sets the name of the column in the level data set that contains the link to be associated with the node in the JavaScript tree.

  Specified by:
    `setURLColumnName` in interface `LevelTreeInterface`
  Parameters:
    `p1` - - name of column that contains the link values

### getNameValuePairColumns

    public java.lang.String[] getNameValuePairColumns()

  Description copied from interface: `LevelTreeInterface`
  Returns the names of the columns in the level data set that contain values to be used as name value pairs when creating the complete link that is associated with the node in the JavaScript tree.

  Specified by:
    `getNameValuePairColumns` in interface `LevelTreeInterface`
  Returns:
    an array of column names to be used as name value pairs on the link

### setNameValuePairColumns

    public void setNameValuePairColumns(java.lang.String[] p1)

  Description copied from interface: `LevelTreeInterface`
  Sets the names of the columns in the level data set that contain values to be used as name value pairs when creating the complete link that is associated with the node in the JavaScript tree.

  Specified by:
    `setNameValuePairColumns` in interface `LevelTreeInterface`
  Parameters:
    `p1` - - an array of column names to be used as name value pairs on the link

### getRoot

    public com.sas.models.NodeInterface getRoot()

  Description copied from interface: `TreeInterface`
  Returns a NodeInterface object to serve as the root node.

  Specified by:
    `getRoot` in interface `com.sas.models.TreeInterface`
  Returns:
    the root node as type NodeInterface

### _getDataSet

    public java.lang.String _getDataSet()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getDataSet() should be called instead.

  Specified by:
    `_getDataSet` in interface `RemoteLevelTreeInterface`
  See Also:
    `LevelTreeInterface.getDataSet()`

### _setDataSet

    public void _setDataSet(java.lang.String p1)

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. setDataSet() should be called instead.

  Specified by:
    `_setDataSet` in interface `RemoteLevelTreeInterface`
  See Also:
    `LevelTreeInterface.setDataSet(java.lang.String)`

### _getWhere

    public com.sas.collection.hlist.HListInterface _getWhere()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getWhere() should be called instead.

  Specified by:
    `_getWhere` in interface `RemoteLevelTreeInterface`
  See Also:
    `LevelTreeInterface.getWhere()`

### _setWhere

    public void _setWhere(com.sas.collection.hlist.HListInterface p1)

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. setWhere() should be called instead.

  Specified by:
    `_setWhere` in interface `RemoteLevelTreeInterface`
  See Also:
    `LevelTreeInterface.setWhere(java.lang.String)`

### _getDefaultIconColumn

    public java.lang.String _getDefaultIconColumn()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getDefaultIconColumn() should be called instead.

  Specified by:
    `_getDefaultIconColumn` in interface `RemoteLevelTreeInterface`

### _setDefaultIconColumn

    public void _setDefaultIconColumn(java.lang.String p1)

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. setDefaultIconColumn() should be called instead.

  Specified by:
    `_setDefaultIconColumn` in interface `RemoteLevelTreeInterface`

### _getDefaultIcon

    public java.lang.String _getDefaultIcon()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getDefaultIcon() should be called instead.

  Specified by:
    `_getDefaultIcon` in interface `RemoteLevelTreeInterface`

### _setDefaultIcon

    public void _setDefaultIcon(java.lang.String p1)

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. setDefaultIcon() should be called instead.

  Specified by:
    `_setDefaultIcon` in interface `RemoteLevelTreeInterface`
  See Also:
    `LevelTreeInterface.setDefaultImage(String)`

### _getExpandedIcon

    public java.lang.String _getExpandedIcon()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getExpandedIcon() should be called instead.

  Specified by:
    `_getExpandedIcon` in interface `RemoteLevelTreeInterface`

### _setExpandedIcon

    public void _setExpandedIcon(java.lang.String p1)

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. setExpandedIcon() should be called instead.

  Specified by:
    `_setExpandedIcon` in interface `RemoteLevelTreeInterface`

### _getExpandedIconColumn

    public java.lang.String _getExpandedIconColumn()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getExpandedIconColumn() should be called instead.

  Specified by:
    `_getExpandedIconColumn` in interface `RemoteLevelTreeInterface`

### _setExpandedIconColumn

    public void _setExpandedIconColumn(java.lang.String p1)

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. setExpandedIconColumn() should be called instead.

  Specified by:
    `_setExpandedIconColumn` in interface `RemoteLevelTreeInterface`

### _getLevelColumn

    public java.lang.String _getLevelColumn()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getLevelColumn() should be called instead.

  Specified by:
    `_getLevelColumn` in interface `RemoteLevelTreeInterface`

### _setLevelColumn

    public void _setLevelColumn(java.lang.String p1)

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. setLevelColumn() should be called instead.

  Specified by:
    `_setLevelColumn` in interface `RemoteLevelTreeInterface`

### _getIndexColumn

    public java.lang.String _getIndexColumn()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getIndexColumn() should be called instead.

  Specified by:
    `_getIndexColumn` in interface `RemoteLevelTreeInterface`

### _setIndexColumn

    public void _setIndexColumn(java.lang.String p1)

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. setIndexColumn() should be called instead.

  Specified by:
    `_setIndexColumn` in interface `RemoteLevelTreeInterface`

### _getLinkColumn

    public java.lang.String _getLinkColumn()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getLinkColumn() should be called instead.

  Specified by:
    `_getLinkColumn` in interface `RemoteLevelTreeInterface`

### _setLinkColumn

    public void _setLinkColumn(java.lang.String p1)

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. setLinkColumn() should be called instead.

  Specified by:
    `_setLinkColumn` in interface `RemoteLevelTreeInterface`

### _getLink

    public java.lang.String _getLink()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getLink() should be called instead.

  Specified by:
    `_getLink` in interface `RemoteLevelTreeInterface`

### _setLink

    public void _setLink(java.lang.String p1)

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. setLink() should be called instead.

  Specified by:
    `_setLink` in interface `RemoteLevelTreeInterface`

### _getNameValuePairColumns

    public java.lang.String[] _getNameValuePairColumns()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getNameValuePairColumns() should be called instead.

  Specified by:
    `_getNameValuePairColumns` in interface `RemoteLevelTreeInterface`
  See Also:
    `LevelTreeInterface.getNameValuePairColumns()`

### _setNameValuePairColumns

    public void _setNameValuePairColumns(java.lang.String[] p1)

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. setNameValuePairColumns() should be called instead.

  Specified by:
    `_setNameValuePairColumns` in interface `RemoteLevelTreeInterface`
  See Also:
    `LevelTreeInterface.setNameValuePairColumns(java.lang.String[])`

### _getTextColumn

    public java.lang.String _getTextColumn()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getTextColumn() should be called instead.

  Specified by:
    `_getTextColumn` in interface `RemoteLevelTreeInterface`

### _setTextColumn

    public void _setTextColumn(java.lang.String p1)

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. setTextColumn() should be called instead.

  Specified by:
    `_setTextColumn` in interface `RemoteLevelTreeInterface`

### _getTreeNodes

    public com.sas.collection.hlist.HListInterface _getTreeNodes()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user. getLevelTreeNodes() should be called instead.

  Specified by:
    `_getTreeNodes` in interface `RemoteLevelTreeInterface`

### _validate

    public java.lang.String _validate()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user.

  Specified by:
    `_validate` in interface `RemoteLevelTreeInterface`

### _isValid

    public boolean _isValid()

  Description copied from interface: `RemoteLevelTreeInterface`
  This method is for internal implementation only and should not be called by the user.

  Specified by:
    `_isValid` in interface `RemoteLevelTreeInterface`

### _getMembers

    public com.sas.collection.hlist.HListInterface _getMembers()

  Description copied from interface: `RemoteSASListInterface`
  Returns the list of members in the remote SCL object.

  Specified by:
    `_getMembers` in interface `RemoteSASListInterface`
  Returns:
    members The list of members.

### addContentsChangedListener

    public void addContentsChangedListener(com.sas.collection.ContentsChangedListener p1)

  Specified by:
    `addContentsChangedListener` in interface `com.sas.collection.ContentsChangedSource`

### removeContentsChangedListener

    public void removeContentsChangedListener(com.sas.collection.ContentsChangedListener p1)

  Specified by:
    `removeContentsChangedListener` in interface `com.sas.collection.ContentsChangedSource`

### getLevelColumnName

    public java.lang.String getLevelColumnName()

  Description copied from interface: `LevelDataInterface`
  Returns the name of the column in the level data set that contains the level values.

  Specified by:
    `getLevelColumnName` in interface `LevelDataInterface`
  Returns:
    name of column that contains the level values

### setLevelColumnName

    public void setLevelColumnName(java.lang.String p1)

  Description copied from interface: `LevelDataInterface`
  Sets the name of the column in the level data set that contains the level values.

  Specified by:
    `setLevelColumnName` in interface `LevelDataInterface`
  Parameters:
    `p1` - - the name of column that contains level values

### getIndexColumnName

    public java.lang.String getIndexColumnName()

  Description copied from interface: `LevelDataInterface`
  Returns the name of the column in the level data set that contains the index values

  Specified by:
    `getIndexColumnName` in interface `LevelDataInterface`
  Returns:
    name of column that contains the index values

### setIndexColumnName

    public void setIndexColumnName(java.lang.String p1)

  Description copied from interface: `LevelDataInterface`
  Sets the name of the column in the level data set that contains the index values

  Specified by:
    `setIndexColumnName` in interface `LevelDataInterface`
  Parameters:
    `p1` - - name of column that contains the index values

### getTextColumnName

    public java.lang.String getTextColumnName()

  Description copied from interface: `LevelDataInterface`
  Returns the name of the column in the level data set that contains the descriptive text to be displayed on the node in the JavaScript tree.

  Specified by:
    `getTextColumnName` in interface `LevelDataInterface`
  Returns:
    name of column that contains the descriptive text values

### setTextColumnName

    public void setTextColumnName(java.lang.String p1)

  Description copied from interface: `LevelDataInterface`
  Sets the name of the column in the level data set that contains the descriptive text to be displayed on the node in the JavaScript tree.

  Specified by:
    `setTextColumnName` in interface `LevelDataInterface`
  Parameters:
    `p1` - - the name of column that contains the descriptive text values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.